Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyTypeSeq_out Class Reference

`#include <PolicyC.h>`

Collaboration diagram for CORBA_PolicyTypeSeq_out:

[legend]
List of all members.

## Public Methods
| CORBA_PolicyTypeSeq_out (CORBA_PolicyTypeSeq *&)
| CORBA_PolicyTypeSeq_out (CORBA_PolicyTypeSeq_var &)
| CORBA_PolicyTypeSeq_out (const CORBA_PolicyTypeSeq_out &)
CORBA_PolicyTypeSeq_out& | operator= (const CORBA_PolicyTypeSeq_out &)
CORBA_PolicyTypeSeq_out& | operator= (CORBA_PolicyTypeSeq *)
| operator CORBA_PolicyTypeSeq *& ()
CORBA_PolicyTypeSeq*& | ptr (void)
CORBA_PolicyTypeSeq* | operator-> (void)
CORBA::PolicyType& | operator[] (CORBA::ULong index)
## Private Methods
void | operator= (const CORBA_PolicyTypeSeq_var &)
## Private Attributes
CORBA_PolicyTypeSeq*& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_PolicyTypeSeq_out::CORBA_PolicyTypeSeq_out ( | CORBA_PolicyTypeSeq *& p )

ACE_INLINE CORBA_PolicyTypeSeq_out::CORBA_PolicyTypeSeq_out ( | CORBA_PolicyTypeSeq_var & p )

CORBA_PolicyTypeSeq_out::CORBA_PolicyTypeSeq_out ( | const CORBA_PolicyTypeSeq_out & )

## Member Function Documentation

CORBA_PolicyTypeSeq_out::operator CORBA_PolicyTypeSeq *& ( | )

ACE_INLINE::CORBA::PolicyTypeSeq * CORBA_PolicyTypeSeq_out::operator-> ( | void )

void CORBA_PolicyTypeSeq_out::operator= ( | const CORBA_PolicyTypeSeq_var & )`[private]`

ACE_INLINE::CORBA_PolicyTypeSeq_out & CORBA_PolicyTypeSeq_out::operator= ( | CORBA_PolicyTypeSeq * p )

CORBA_PolicyTypeSeq_out& CORBA_PolicyTypeSeq_out::operator= ( | const CORBA_PolicyTypeSeq_out & )

ACE_INLINE CORBA::PolicyType & CORBA_PolicyTypeSeq_out::operator[] ( | CORBA::ULong index )

ACE_INLINE::CORBA::PolicyTypeSeq *& CORBA_PolicyTypeSeq_out::ptr ( | void )

## Member Data Documentation

CORBA_PolicyTypeSeq *& CORBA_PolicyTypeSeq_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.i